=== debian/changelog ===
triplane (1.0.6-1) unstable; urgency=low

  * Initial release (Closes: #628797)

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sat, 04 Jun 2011 01:05:46 +0300
