=== debian/control ===
Source: triplane
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Build-Depends: debhelper (>= 7.0.50~), libsdl-mixer1.2-dev, libsdl1.2-dev
Standards-Version: 3.9.2
Homepage: http://triplane.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-games/triplane.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/triplane.git;a=summary

Package: triplane
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: side-scrolling dogfighting game
 Triplane Classic is a side-scrolling dogfighting game featuring solo
 missions and multiplayer mode with up to four players. It is a port
 of the original Triplane Turmoil game for DOS and aims to match the
 original game exactly so that high scores remain comparable to the
 original.
