## triplane 1.0.7

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 CXX	     ?= g++
 OPTIFLAG     = -O2 -g
 SDL_CONFIG  ?= sdl-config
-CFLAGS      := -Wall -Isrc $(OPTIFLAG) $(CFLAGS_NOSDL) `$(SDL_CONFIG) --cflags` -DHAVE_SDL_MIXER "-DTRIPLANE_DATA=\"$(PREFIX)/share/games/triplane\""
+VERSION      = 1.0.7
+CFLAGS      := -Wall -Isrc $(OPTIFLAG) $(CFLAGS_NOSDL) `$(SDL_CONFIG) --cflags` -DHAVE_SDL_MIXER "-DTRIPLANE_DATA=\"$(PREFIX)/share/games/triplane\"" "-DTRIPLANE_VERSION=\"$(VERSION)\""
 LDFLAGS      = 
 LIBS        := `$(SDL_CONFIG) --libs` -lSDL_mixer -lm
 INSTALL_DATA     ?= install -m 644
@@ -88,6 +89,12 @@
 build-data-from-source: tools/pcx2pgd
 	tools/build-data-from-source
 
+dist:
+	make clean
+	test -z "`git ls-files -d -o -m -u -s`" || (echo "There are uncommitted changes" >&2; /bin/false)
+	test -z "`git diff --cached`" || (echo "There are uncommitted changes in the index" >&2; /bin/false)
+	tar --transform "s/^./triplane-$(VERSION)/" --exclude=.git --exclude=debian -zcf ../triplane-$(VERSION).tar.gz .
+
 # man -Tps doc/triplane.6 > triplane.ps
 # ps2pdf triplane.ps
 .PHONY: all checkdepend depend clean install test
