=== debian/changelog ===
triplane (1.0.7-1) unstable; urgency=low

  * New upstream release
    - Ensure that all .pgd files can be rebuilt from .pcx files

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Tue, 30 Aug 2011 21:11:28 +0000
