=== debian/changelog ===
triplane (1.0.8-3) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.5.1.
  * Switch to debhelper-compat = 13.
  * wrap-and-sort -sa.
  * Use canonical VCS URL.
  * Drop obsolete triplane.menu file.

 -- Markus Koschany <apo@debian.org>  Wed, 24 Feb 2021 00:02:05 +0100

triplane (1.0.8-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical Vcs-URI and https.
  * triplane.desktop: Add keywords and a comment in German.
  * Add reproducible-build.patch and make the build reproducible.
    Thanks to Chris Lamb for the report and patch. (Closes: #776603)
  * Use compat level 9 and require debhelper >= 9.

 -- Markus Koschany <apo@debian.org>  Mon, 15 Aug 2016 14:11:53 +0200

triplane (1.0.8-1) unstable; urgency=low

  * New upstream release (Closes: #693037, #693038).
  * Fix icon name in .desktop file (Closes: #693036).
  * Bump standards-version to 3.9.4, no changes needed.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sun, 24 Feb 2013 14:56:14 +0000
