=== debian/watch ===
version=3
http://sf.net/triplane/triplane-(.*)\.tar\.gz
